=head1 NAME

XML::DOM::AttDef - A single XML attribute definition in an ATTLIST in XML::DOM 

=head1 DESCRIPTION

XML::DOM::AttDef extends L<XML::DOM::Node>, but is not part of the DOM Level 1
specification.

Each object of this class represents one attribute definition in an AttlistDecl.

=head2 METHODS

=over 4

=item getName

Returns the attribute name.

=item getDefault

Returns the default value, or undef.

=item isFixed

Whether the attribute value is fixed (see #FIXED keyword.)

=item isRequired

Whether the attribute value is required (see #REQUIRED keyword.)

=item isImplied

Whether the attribute value is implied (see #IMPLIED keyword.)

=back
